<!--
IGAC proyecto SNC
@franz.gamba
@version 2.0
@cu CU-NP-FA 107

@description ventana modal que permite asignar los contratistas que recibieron una dotacion

-->

<h:panelGrid xmlns="http://www.w3.org/1999/xhtml"
             xmlns:h="http://java.sun.com/jsf/html"
             xmlns:ui="http://java.sun.com/jsf/facelets"
             xmlns:p="http://primefaces.org/ui" columns="1" cellspacing="3"
             width="100%" id="panelGridContratistasDotacion">

    <p:messages id="msgsAOVAC" showDetail="false" globalOnly="false" />

    <p:panel header="Contratistas a recibir dotación">
        <p:dataTable var="rrhh" id="tablaRecursosDotacion"
                     paginatorPosition="bottom" paginator="true" rows="10"
                     paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                     rowsPerPageTemplate="5,10,15" rowKey="#{rrhh.id}" 
                     selection="#{currentManagedBeanParam.selectedRecursoHumano}" 
                     value="#{currentManagedBeanParam.recursoHumanoADotar}"
                     emptyMessage="No existen recursos humanos para este proceso de Actualización">

            <p:column selectionMode="multiple" style="width:18px" />
            <p:column headerText="Nombre">
                <h:outputText value="#{rrhh.nombre}" />
            </p:column>
            <p:column headerText="No. Documento">
                <h:outputText value="#{rrhh.documentoIdentificacion}" />
            </p:column>
        </p:dataTable>
        <h:panelGrid columns="3" cellspacing="3">
            <p:spacer height="0" width="40" />
            <p:commandButton id="btnAsignarRecurso" 
                             widgetVar="asignarRecursoWV" value="Asignar"
                             oncomplete="confirmarAsignarWV.show()" process="@form" />
            <p:commandButton id="btnCancelar" widgetVar="cancelarAsignarWV"
                             value="Cancelar" ajax="true"
                             oncomplete="asignarContratosDotacionWV.hide()" process="@this" />

        </h:panelGrid>
    </p:panel>

    <p:confirmDialog message="¿Desea comfirmar el recurso humano a ser dotado?"
                     header="Asignar" severity="alert" appendToBody="true"
                     widgetVar="confirmarAsignarWV">

        <p:commandButton value="Sí" process="@form"
                         update=":agregarDotacionForm:btnRegistrarDotados"
                         oncomplete="asignarContratosDotacionWV.hide();confirmarAsignarWV.hide()"
                         action="#{currentManagedBeanParam.asignarRecursoHumanoALaDotacion}" />

        <p:commandButton value="No" onclick="confirmarAsignarWV.hide()"
                         type="button" />

    </p:confirmDialog>
</h:panelGrid>
